Bug 13428 - SMB2 flush not handled correctly on writeable directories.
SMB2 flush not handled correctly on writeable directories.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-10 16:38 UTC by Jeremy Allison
Modified: 2018-06-25 07:38 UTC (History)
2 users (show)

See Also:


Attachments
git-am fix for 4.8.next. (14.07 KB, patch)
2018-05-21 21:14 UTC, Jeremy Allison
slow: review+
Details
git-am fix for 4.7.next (14.09 KB, patch)
2018-05-21 21:14 UTC, Jeremy Allison
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2018-05-10 16:38:48 UTC
Discovered by Steve French of Microsoft. Torture test and fix to follow.
Comment 1 Jeremy Allison 2018-05-21 21:14:13 UTC
Created attachment 14209 [details]
git-am fix for 4.8.next.

Cherry-picked from master.
Comment 2 Jeremy Allison 2018-05-21 21:14:51 UTC
Created attachment 14210 [details]
git-am fix for 4.7.next

Back-ported from master.
Comment 3 Ralph Böhme 2018-06-18 20:13:36 UTC
Reassigning to Karolin for inclusion in 4.7 and 4.8.
Comment 4 Karolin Seeger 2018-06-19 10:44:54 UTC
(In reply to Ralph Böhme from comment #3)
Pushed to autobuild-v4-[7,8]-test.
Comment 5 Karolin Seeger 2018-06-25 07:38:18 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!